%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-goocanvas2
Version:        2.0.1
Release:        2%{?dist}
Summary:        MinGW Windows canvas library for GTK+

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://live.gnome.org/GooCanvas
Source0:        http://download.gnome.org/sources/goocanvas/%{release_version}/goocanvas-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtk3
# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarshal and glib-mkenums
BuildRequires:  glib2-devel
BuildRequires:  python2

%description
GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
drawing.

This package contains the MinGW Windows cross compiled GooCanvas 2.0 library.


%package -n mingw32-goocanvas2
Summary:        MinGW Windows canvas library for GTK+

%description -n mingw32-goocanvas2
GooCanvas is a canvas widget for GTK+ that uses the cairo 2D library for
drawing.

This package contains the MinGW Windows cross compiled GooCanvas 2.0 library.


%{?_mingw32_debug_package}


%prep
%setup -q -n goocanvas-%{version}


%build
%{_mingw32_configure} \
  --disable-static \
  --enable-python=no

make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
rm $RPM_BUILD_ROOT%{_mingw32_libdir}/*.la

# Remove documentation which duplicates Fedora native
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/gtk-doc

%find_lang goocanvas2


%files -n mingw32-goocanvas2 -f goocanvas2.lang
%doc COPYING
%{_mingw32_bindir}/libgoocanvas-2.0-9.dll
%{_mingw32_includedir}/goocanvas-2.0/
%{_mingw32_libdir}/libgoocanvas-2.0.dll.a
%{_mingw32_libdir}/pkgconfig/goocanvas-2.0.pc


%changelog
* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-2
- Removed .la files

* Fri Jan 27 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-1
- Initial RPM release
